Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Class FactoryException

    Object
      Throwable
          Exception
              FactoryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NoSuchAuthorityCodeException, NoSuchIdentifierException, OperationNotFoundException

    public class FactoryException

extends Exception

Thrown when a factory can't create an instance of the requested object. It may be a failure to create a datum, a coordinate system, a reference system or a coordinate operation. If the failure is caused by an illegal authority code, then the actual exception should be `NoSuchAuthorityCodeException`. Otherwise, if the failure is caused by some error in the underlying database (e.g. `IOException` or `SQLException`), then this cause should be specified.

Since:
  GeoAPI 1.0
See Also:
  `CoordinateOperationFactory`, Serialized Form

Constructor Summary
`FactoryException()` Construct an exception with no detail message.
`FactoryException(Exception cause)` Construct an exception with the specified cause.
`FactoryException(String message)` Construct an exception with the specified detail message.
`FactoryException(String message, Throwable cause)` Construct an exception with the specified detail message and cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryException

    public FactoryException()

  Construct an exception with no detail message.

### FactoryException

    public FactoryException(String message)

  Construct an exception with the specified detail message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### FactoryException

    public FactoryException(Exception cause)

  Construct an exception with the specified cause. The detail message is copied from the cause localized message.

  Parameters:
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

### FactoryException

    public FactoryException(String message,
                            Throwable cause)

  Construct an exception with the specified detail message and cause. The cause is the exception thrown in the underlying database (e.g. `IOException` or `SQLException`).

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.